> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Native Balance for Multiple Addresses

> Retrieves the native token balance held by multiple addresses in a single call.

export const TryEndpointLink = ({href, label = 'Try this endpoint in your', linkText = 'browser'}) => {
  if (!href) {
    return null;
  }
  const isExternal = (/^https?:/i).test(href);
  return <p className="mt-4 text-base font-medium text-zinc-900 dark:text-zinc-100">
      {label}{' '}
      <a href={href} className="font-semibold text-primary-600 hover:underline" target={isExternal ? '_blank' : undefined} rel={isExternal ? 'noopener noreferrer' : undefined}>
        {linkText}
      </a>
      .
    </p>;
};

export const chainCurrency = 'ETH';

export const chain = '1';

### Query Parameters

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, eg `1` for Ethereum, `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="balancemulti" type="string">
  Set to `balancemulti` for this endpoint.
</ParamField>

<ParamField query="address" default="0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a,0x63a9975ba31b0b9626b34300f7f627147df1f526,0x198ef1ec325a96cc354c7266a038be8b5c558f67" type="string">
  Comma-separated list of addresses to query, up to a maximum of 20 addresses per call.
</ParamField>

<ParamField query="tag" default="latest" type="string">
  Use `latest` for the last block number of the chain. Also accepts a specific block number in hex format, like `0x10d4f` up to the last 128 blocks.
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":[
        {
           "account":"0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a",
           "balance":"40891631566070000000000"
        },
        {
           "account":"0x63a9975ba31b0b9626b34300f7f627147df1f526",
           "balance":"332567136222827062478"
        },
        {
           "account":"0x198ef1ec325a96cc354c7266a038be8b5c558f67",
           "balance":"12005264493462223951724"
        }
     ]
  }
  ```
</ResponseExample>
